Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
crawl_setting = client.crawls.retrieve_setting(
"id",
)
print(crawl_setting.id)curl --request GET \
--url https://developer.qaip.com/api/v1/crawl-settings/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://developer.qaip.com/api/v1/crawl-settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"start_url": "<string>",
"max_depth": 123,
"html_only": true,
"use_browser": true,
"path_filters": [
"<string>"
],
"content_pattern": [
"<string>"
],
"max_num_files": 123,
"no_canonical_check": true,
"file_extensions": [
"<string>"
],
"rrule": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}References
Get web crawl setting
Gets the setting (schedule, URL, etc.) for web crawl data sources.
Required scope: ingestion:manage
GET
/
crawl-settings
/
{id}
Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
crawl_setting = client.crawls.retrieve_setting(
"id",
)
print(crawl_setting.id)Authorizations
API key for authentication
Path Parameters
Ingestion setting ID for the web crawl data source
Response
Successful retrieval of web crawl setting
Web crawl ingestion setting ID
Name of the web crawl ingestion setting
Start URL of the web crawl
Maximum crawl depth
When true, only HTML files will be downloaded
Whether to use a headless browser for crawling
Path filters for crawling
Content patterns for filtering
Maximum number of files to crawl
Whether to disable duplicate filtering by canonical URL
File extensions to include (e.g. ".pdf", ".docx")
Recurrence rule (RFC 5545 RRULE)

